org.glassfish.jersey.uri

## Class PathTemplate

- java.lang.Object
- - org.glassfish.jersey.uri.UriTemplate
  - - org.glassfish.jersey.uri.PathTemplate

    public final class PathTemplate
    extends UriTemplate

A URI template for a URI path.

Author:
  Paul Sandoz, Yegor Bugayenko (yegor256 at java.net)

### Field Summary

### Fields inherited from class org.glassfish.jersey.uri.UriTemplate

`COMPARATOR, EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`PathTemplate(String path)` Create a URI path template and encode (percent escape) any characters of the template that are not valid URI characters.

### Method Summary

### Methods inherited from class org.glassfish.jersey.uri.UriTemplate

`createURI, createURI, createURI, createURI, createURI, createURIWithStringValues, createURIWithStringValues, endsWithSlash, equals, getNumberOfExplicitCharacters, getNumberOfExplicitRegexes, getNumberOfRegexGroups, getNumberOfTemplateVariables, getPattern, getTemplate, getTemplateVariables, hashCode, isTemplateVariablePresent, match, match, normalize, normalize, relativize, resolve, resolve, resolveTemplateValues, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PathTemplate

    public PathTemplate(String path)

Create a URI path template and encode (percent escape) any characters of the template that are not valid URI characters. Paths that don't start with a slash (`'/'`) will be automatically prefixed with one.

Parameters:
  `path` - the URI path template.